package facility

import "context"

type Repository interface {
	Create(ctx context.Context, facility *Facility) error
	Update(ctx context.Context, facility *Facility) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*Facility, error)
	List(ctx context.Context, filter, category, sort string, limit, offset int) ([]Facility, int64, error)
}
